Index: broadcom-sta-6.30.223.248/amd64/src/wl/sys/wl_linux.c
===================================================================
--- broadcom-sta-6.30.223.248.orig/amd64/src/wl/sys/wl_linux.c	2014-09-24 10:45:55.000000000 -0500
+++ broadcom-sta-6.30.223.248/amd64/src/wl/sys/wl_linux.c	2014-09-24 10:49:08.000000000 -0500
@@ -1309,7 +1309,12 @@
 	dev->priv = priv_link;
 #else
 
-	dev = alloc_netdev(sizeof(priv_link_t), intf_name, ether_setup);
+	#if (LINUX_VERSION_CODE < KERNEL_VERSION(3, 17, 0))
+		dev = alloc_netdev(sizeof(priv_link_t), intf_name, ether_setup);
+	#else
+		dev = alloc_netdev(sizeof(priv_link_t), intf_name, NET_NAME_UNKNOWN, ether_setup);
+	#endif
+
 	if (!dev) {
 		WL_ERROR(("wl%d: %s: alloc_netdev failed\n",
 			(wl->pub)?wl->pub->unit:wlif->subunit, __FUNCTION__));
Index: broadcom-sta-6.30.223.248/i386/src/wl/sys/wl_linux.c
===================================================================
--- broadcom-sta-6.30.223.248.orig/i386/src/wl/sys/wl_linux.c	2014-09-24 10:45:55.000000000 -0500
+++ broadcom-sta-6.30.223.248/i386/src/wl/sys/wl_linux.c	2014-09-24 10:48:13.000000000 -0500
@@ -1307,7 +1307,12 @@
 	dev->priv = priv_link;
 #else
 
-	dev = alloc_netdev(sizeof(priv_link_t), intf_name, ether_setup);
+	#if (LINUX_VERSION_CODE < KERNEL_VERSION(3, 17, 0))
+		dev = alloc_netdev(sizeof(priv_link_t), intf_name, ether_setup);
+	#else
+		dev = alloc_netdev(sizeof(priv_link_t), intf_name, NET_NAME_UNKNOWN, ether_setup);
+	#endif
+
 	if (!dev) {
 		WL_ERROR(("wl%d: %s: alloc_netdev failed\n",
 			(wl->pub)?wl->pub->unit:wlif->subunit, __FUNCTION__));
